## nthash 2.2.0

=== debian/changelog ===
nthash (2.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 10 Apr 2021 15:54:43 +0530

nthash (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #985945)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Mar 2021 18:31:06 +0530
