=== debian/control ===
Source: nthash
Priority: optional
Section: science
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/nthash
Vcs-Git: https://salsa.debian.org/med-team/nthash.git
Homepage: https://github.com/bcgsc/ntHash
Rules-Requires-Root: no

Package: libnthash-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Recursive hash function for hashing all possible k-mers in a DNA/RNA sequence
 This is a header-only binary containing the
 necessary files for implementing nthash function.

Package: nthash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Methods to evaluate runtime and uniformity tests for hashing methods
 This contains nttest binary which has options for evaluating
 runtimes and uniformity for different hashing methods.
