=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_before_dh_missing:
	find debian/tmp -type f \( -name LICENSE -o -name ChangeLog \) -delete
