=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, velvet-tests
Restrictions: allow-stderr
