## nthash 2.3.0%2Bdfsg

=== debian/changelog ===
nthash (2.3.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Run tests with -fopenmp (Closes: #1104877)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 May 2025 13:08:01 +0530

nthash (2.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control: drop unneeded build-dep on libomp-dev; gcc→libgcc-N-dev
    provides omp.h. Closes: #1099504

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 14:19:15 +0200

nthash (2.3.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Fixup Build for arm64 (Closes: #1087552)
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Get rid of copy of argparse.hpp
  * Drop myself from uploaders field

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Nov 2024 19:23:38 +0530

nthash (2.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Build-Depends: cmake, libbtllib-dev
  * Update debian/argparse.hpp
  * Remove unused docs featuring compressed JS which can be easily restored
    via simly doxygen call

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2022 08:27:22 +0200
