## nthash 2.3.0+dfsg

=== debian/changelog ===
nthash (2.3.0+dfsg-5) unstable; urgency=medium

  * targets-deps.patch: new: fix parallel builds. (Closes: #1105464)
  * d/rules: allow parallel builds.
  * buildflags.patch: new: forward environment flags.
    This is necessary (but not sufficient) to pass all hardening options.
    (Closes: #1119506)
  * d/control: set myself as Uploaders.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * use_debian_packaged_btllib.patch: normalize dep3 header.
  * d/watch: convert to v5 Github template.
  * d/salsa-ci.yml: disable tests on i386.
    The package is missing build dependencies to have a chance to run.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 17:50:31 +0100
