=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Section: science
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Uploaders: Étienne Mollier <emollier@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libbtllib-dev,
+               libargparse-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nthash
 Vcs-Git: https://salsa.debian.org/med-team/nthash.git
 Homepage: https://github.com/bcgsc/ntHash
-Rules-Requires-Root: no
 
 Package: libnthash-dev
 Section: libdevel
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libbtllib-dev, libargparse-dev
 Description: Recursive hash function for hashing all possible k-mers in a DNA/RNA sequence
  This is a header-only binary containing the
  necessary files for implementing nthash function.
