=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,11 @@
 %:
 	dh $@
 
+execute_after_dh_clean:
+	rm -rf docs
+
+override_dh_auto_build:
+	dh_auto_build --buildsystem=cmake
+
 execute_before_dh_missing:
 	find debian/tmp -type f \( -name LICENSE -o -name ChangeLog \) -delete
