=== debian/watch ===
Version: 5

Template: Github
Owner: bcgsc
Project: ntHash
Dversionmangle: auto
Repacksuffix: +dfsg
